import '../lib/dartgl_sdl.dart';

void main() {
  print("SDL2 ${SDL_Init(SDL_INIT_VIDEO)}");  
  
  var w = SDL_CreateWindow("OpenGL", 100, 100, 600, 400, SDL_WINDOW_OPENGL|SDL_WINDOW_RESIZABLE);
  print("window ${w.pointer}");
  
  var exit = false;
  var event = new SDL_Event();
    
  while (!exit){
      
      while (SDL_PollEvent(event) != 0){
                
        if (event.type == SDL_QUIT) {
          print(event.type);
          exit = true;
        }
        
        if (event.type == SDL_WINDOWEVENT) {
          print("${event.type}");
          print("window ${event.window.windowID}");
          print("e ${event.window.event}");
          print("d1 ${event.window.data1}");
          print("d2 ${event.window.data2}");
        }
        
        if (event.type == SDL_KEYDOWN || event.type == SDL_KEYUP) {
          print("${event.key.keysym.scancode}");
        }
        
        if (event.type == SDL_MOUSEMOTION) {
          print("${event.type}");
          print("window ${event.motion.windowID}, x ${event.motion.xrel},"+ 
            " y ${event.motion.yrel}");
        }
        
        if (event.type == SDL_MOUSEWHEEL) {
          print("${event.type}");
          print("window ${event.wheel.windowID}, x ${event.wheel.x},"+ 
            " y ${event.wheel.y}");
        }
      }     
      
    }
  
  SDL_DestroyWindow(w);
}